%define api_version	2.4
%define realapi		1.4
%define major		1

%define libname			%mklibname %{name} %{api_version} %{major}
%define libnamedev		%mklibname -d %{name} %{api_version}
%define libnamestaticdev	%mklibname -d -s %{name} %{api_version}

%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		pangomm
Summary:	C++ interface for the pango library
Version:	2.34.0
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gtkmm.org/
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	glibmm2.4-devel >= 2.14.1
BuildRequires:	libpango-devel >= 1.5.2
BuildRequires:	cairomm-devel  >= 1.2.2

%description
Pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package -n %{libname}
Summary:	C++ interface for the pango library
Group:		System/Libraries
Provides:	%{name}%{api_version} = %{version}-%{release}
Conflicts:	%mklibname gtkmm 2.4 < 2.13.5

%description -n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{libnamedev}
Summary:	Headers and development files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%mklibname -d gtkmm 2.4 < 2.13.5

%description -n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{name}.

%package -n %{libnamestaticdev}
Summary:	Static libraries of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libnamedev} = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Conflicts:	%mklibname -s -d gtkmm 2.4 < 2.13.5

%description -n %{libnamestaticdev}
This package contains the static libraries of %{name}.

%package doc
Summary:	GTKmm documentation
Group:		Documentation

%description doc
Pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for pangomm. You can readily read
this documentation with devhelp, a documentation reader.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --enable-static --enable-shared
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING NEWS README
%{_libdir}/libpangomm-%{realapi}.so.%{major}*

%files -n %{libnamedev}
%doc COPYING ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/pangomm-%{realapi}

%files -n %{libnamestaticdev}
%doc COPYING
%{_libdir}/*.a

%files doc
%doc %{_datadir}/doc/pangomm-%{realapi}
%doc %{_datadir}/devhelp/books/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.34.0-2.mga4
+ Revision: 525285
- Mageia 4 Mass Rebuild

* Wed May 29 2013 dams <dams> 2.34.0-1.mga4
+ Revision: 432905
- new version 2.34.0

* Sun Jan 13 2013 umeabot <umeabot> 2.28.4-3.mga3
+ Revision: 362383
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 shlomif <shlomif> 2.28.4-2.mga3
+ Revision: 304340
- Update to a new group per RPMGroupRevamp

* Fri Oct 28 2011 wally <wally> 2.28.4-1.mga2
+ Revision: 159119
- new version 2.28.4

* Tue Sep 27 2011 wally <wally> 2.28.3-1.mga2
+ Revision: 149419
- new version 2.28.3
- clean .spec a bit

  + fwang <fwang>
    - do not ship .la files

* Fri Apr 15 2011 ahmad <ahmad> 2.28.2-1.mga1
+ Revision: 85615
- update to 2.28.2

* Thu Jan 13 2011 ahmad <ahmad> 2.26.3-3.mga1
+ Revision: 8814
- drop old/unneeded scriptlets
- imported package pangomm


* Fri Dec 10 2010 Götz Waschk <waschk@mandriva.org> 2.26.3-2mdv2011.0
+ Revision: 620434
- rebuild
- update to new version 2.26.3

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.26.2-2mdv2011.0
+ Revision: 607069
- rebuild

* Tue May 04 2010 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.1
+ Revision: 541982
- update to new version 2.26.2

* Fri Apr 16 2010 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2010.1
+ Revision: 535419
- update to new version 2.26.1

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2.26.0-2mdv2010.1
+ Revision: 523591
- rebuilt for 2010.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2010.0
+ Revision: 446584
- update to new version 2.26.0

* Sat Aug 29 2009 Götz Waschk <waschk@mandriva.org> 2.25.1.3-1mdv2010.0
+ Revision: 422127
- update to new version 2.25.1.3

* Fri Aug 28 2009 Götz Waschk <waschk@mandriva.org> 2.25.1.1-1mdv2010.0
+ Revision: 422005
- update to new version 2.25.1.1

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2010.0
+ Revision: 421434
- update to new version 2.25.1

* Tue Mar 10 2009 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.1
+ Revision: 353433
- new version

* Mon Nov 10 2008 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdv2009.1
+ Revision: 301802
- update to new version 2.14.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdv2009.0
+ Revision: 286525
- new version

* Wed Sep 10 2008 Götz Waschk <waschk@mandriva.org> 2.13.8-1mdv2009.0
+ Revision: 283467
- new version

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.13.7-1mdv2009.0
+ Revision: 263290
- new version
- fix directory version

* Sun Jul 27 2008 Götz Waschk <waschk@mandriva.org> 2.13.6-1mdv2009.0
+ Revision: 250616
- new version

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdv2009.0
+ Revision: 242423
- update file list
- import pangomm


